# $Revision: 1.18 $, $Date: 2007/04/23 10:17:04 $
Summary:	env-update - create /etc/profile.env from /etc/env.d files
Summary(pl.UTF-8):	env-update - tworzenie /etc/profile.env z plików /etc/env.d
Name:		env-update
Version:	1.6.15
Release:	1
License:	GPL v2
Group:		Base
Source0:	http://distfiles.gentoo.org/distfiles/rc-scripts-%{version}.tar.bz2
# Source0-md5:	e3dd64c9b45454a99ce51ee2ec4b1fd5
Patch0:		%{name}.patch
Patch1:		%{name}-cflags.patch
BuildRequires:	gawk-devel
BuildRequires:	rpmbuild(macros) >= 1.316
Requires:	gawk
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_libdir		/lib
%define		_libexecdir	/lib
%define		_sbindir	/sbin

%description
This is env-update rip from gentoo's baselayout.

env-update creates /etc/profile.env and /etc/csh.env from the contents
of /etc/env.d/, so your shell is able to read initial env quickly even
at high system loads.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzie env-update wyciągnięte z podstawowych
narzędzi gentoo.

env-update tworzy plik /etc/profile.env z plików /etc/env.d, dzięki
czemu powłoka jest w stanie szybko wczytać początkowe środowisko nawet
przy dużym obciążeniu systemu.

%prep
%setup -q -n rc-scripts-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} -C src/filefuncs \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LD="%{__ld}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_libexecdir},%{_sbindir},%{_sysconfdir},/var/cache}
install src/filefuncs/filefuncs.so $RPM_BUILD_ROOT%{_libdir}
install -p src/awk/{functions.awk,genenviron.awk} $RPM_BUILD_ROOT%{_libexecdir}
install sbin/env-update.sh $RPM_BUILD_ROOT%{_sbindir}/env-update
touch $RPM_BUILD_ROOT/var/cache/envcache
touch $RPM_BUILD_ROOT%{_sysconfdir}/{profile,csh}.env

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/env-update

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/filefuncs.so
%{_libexecdir}/*.awk
%ghost /var/cache/envcache
%ghost %{_sysconfdir}/profile.env
%ghost %{_sysconfdir}/csh.env

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: env-update.spec,v $
Revision 1.18  2007/04/23 10:17:04  blekot
- up to 1.6.15

Revision 1.17  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.15  2006/09/06 20:43:28  glen
- must always call env-update in post; rel 4

Revision 1.14  2006/09/05 18:29:19  glen
- umask 002; rel 3

Revision 1.13  2006/08/31 19:07:29  glen
- it also creates /etc/csh.env; rel 2

Revision 1.12  2006/08/31 15:51:05  glen
- rel 1

Revision 1.11  2006/05/09 12:03:21  darekr
- defined also _sbindir

Revision 1.10  2006/05/09 09:55:32  qboosh
- updated _lib(exec)dir - hardcoded /lib, not //%{_lib}

Revision 1.9  2006/04/30 11:34:48  glen
- %ghost /etc/profile.env

Revision 1.8  2006/04/30 11:33:03  glen
- also ignore rpmsave files

Revision 1.7  2006/04/30 11:30:01  glen
- %ghost envcache

Revision 1.6  2006/04/30 11:27:23  glen
- uses rc-scripts nls function

Revision 1.5  2006/04/30 11:18:28  glen
- _exec_prefix /

Revision 1.4  2006/04/30 11:13:25  glen
- correct preamble

Revision 1.3  2006/04/01 12:22:21  qboosh
- pl, .so perms

Revision 1.2  2006/03/25 16:58:46  twittner
- pass CFLAGS (fixed Makefile)

Revision 1.1  2006/03/24 22:53:44  glen
- port to pld
